import request from '@/utils/request'

// 挂出列表
export  function getsell(data) {
	return request({
		url: `/api/sell`,
		method: 'get',
		data
	});
}

// 挂出
export  function sellPush(data) {
	return request({
		url: `/api/sell`,
		method: 'post',
		data
	});
}

// 单个挂出详情
export  function getSell(data) {
	return request({
		url: `/api/sell/${data.id}`,
		method: 'get',
		data
	});
}
// 提交凭证
export  function setSellVoucher(data) {
	return request({
		url: `/api/sell/voucher/${data.id}`,
		method: 'get',
		data
	});
}
// 买入订单
export  function sellBuy(data) {
	return request({
		url: `/api/sell/buy/${data.id}`,
		method: 'post',
		data
	});
}

// 我的买入列表
export  function sellBuyMy(data) {
	return request({
		url: `/api/sell/buy/my`,
		method: 'get',
		data
	});
}
// 我的挂出列表
export  function sellMy(data) {
	return request({
		url: `/api/sell/my`,
		method: 'get',
		data
	});
}



// 实名认证
export  function real_check(data) {
	return request({
		url: `/api/user/real_check`,
		method: 'post',
		data
	});
}

// 余额列表
export  function balanceList(data) {
	return request({
		url: `/api/balance/list/USDT`,
		method: 'get',
		data
	});
}

// 转账
export  function trade(data) {
	return request({
		url: `/api/trade`,
		method: 'post',
		data
	});
}
// 提币
export  function cash(data) {
	return request({
		url: `/api/extract/cash`,
		method: 'post',
		data
	});
}
// 提币计算
export  function calculator(data) {
	return request({
		url: `/api/extract/calculator`,
		method: 'post',
		data
	});
}

// 代币使用记录
export  function moneyLog(data) {
	return request({
		url: `/api/money/log/${data.moneyType}`,
		method: 'get',
		data
	});
}




